package com.fs.hisStore.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 文章分类对象 fs_article_cate
 *
 * @author fs
 * @date 2022-03-25
 */
@TableName("fs_article_cate")
public class FsArticleCateScrm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long cateId;

    /** 分类名称 */
    @Excel(name = "分类名称")
    private String cateName;

    /** 状态 1正常 0禁用 */
    @Excel(name = "状态 1正常 0禁用")
    private Integer status;

    private Integer sort;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer isDel;

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public void setCateId(Long cateId)
    {
        this.cateId = cateId;
    }

    public Long getCateId()
    {
        return cateId;
    }
    public void setCateName(String cateName)
    {
        this.cateName = cateName;
    }

    public String getCateName()
    {
        return cateName;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }
    public void setIsDel(Integer isDel)
    {
        this.isDel = isDel;
    }

    public Integer getIsDel()
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("cateId", getCateId())
            .append("cateName", getCateName())
            .append("status", getStatus())
            .append("isDel", getIsDel())
            .toString();
    }
}
